Bug 1944375 - Pulp 3 migration abort fails with 409
Summary: Pulp 3 migration abort fails with 409
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.9.1
Assignee: Justin Sherrill
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-29 19:31 UTC by Ian Ballou
Modified: 2021-04-26 17:37 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.18.1.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-26 17:36:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 32226 0 Normal New Pulp 3 migration abort fails with 409 2021-03-29 19:31:17 UTC
Red Hat Product Errata RHBA-2021:1371 0 None None None 2021-04-26 17:37:08 UTC

Description Ian Ballou 2021-03-29 19:31:17 UTC
A migration cancel task was found to fail with a 409 conflict, which failed the migration in Katello, resulting in losing track of the migration task.  After talking with the Pulp team, it looks like the 409 pops up if you try to cancel a Pulp task that is already complete. We should investigate this. I think we may be hitting the 409 when we loop through the tasks in the task group.  If it really is the issue, we can simply handle the 409 and skip sending the cancel request.

According to the Pulp team, a 409 will be returned if you try to cancel a task that is failed, completed, skipped or, canceled.

Comment 1 Ian Ballou 2021-03-29 19:31:20 UTC
Created from redmine issue https://projects.theforeman.org/issues/32226

Comment 2 Ian Ballou 2021-03-29 19:31:21 UTC
Upstream bug assigned to None

Comment 3 Bryan Kearney 2021-04-06 00:05:47 UTC
Upstream bug assigned to jsherril

Comment 4 Bryan Kearney 2021-04-06 00:05:49 UTC
Upstream bug assigned to jsherril

Comment 6 Tasos Papaioannou 2021-04-19 17:26:41 UTC
Verified on 6.9.1 snap 2.0.

Comment 11 errata-xmlrpc 2021-04-26 17:36:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Satellite 6.9.1 Async Bug Fix Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:1371


Note You need to log in before you can comment on or make changes to this bug.